{
    "$graph": [
        {
            "label": "align_sort",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "align_sort",
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#align_sort.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-group"
                    },
                    "id": "#align_sort.cwl/group"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_sort.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_sort.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#align_sort.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#align_sort.cwl/k"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#align_sort.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_sort.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top"
                    },
                    "id": "#align_sort.cwl/top"
                }
            ],
            "id": "#align_sort.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#align_sort.cwl/output"
                }
            ]
        },
        {
            "label": "align_sort_sa",
            "class": "Workflow",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/align"
                },
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "int",
                    "id": "#main/group"
                },
                {
                    "type": "string",
                    "id": "#main/k"
                },
                {
                    "type": "int",
                    "id": "#main/top"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/align_sort/output",
                    "id": "#main/out_align"
                }
            ],
            "steps": [
                {
                    "run": "#align_sort.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/align_sort/asn_cache"
                        },
                        {
                            "source": "#main/group",
                            "id": "#main/align_sort/group"
                        },
                        {
                            "default": "seq-align",
                            "id": "#main/align_sort/ifmt"
                        },
                        {
                            "source": "#main/align",
                            "id": "#main/align_sort/input"
                        },
                        {
                            "source": "#main/k",
                            "id": "#main/align_sort/k"
                        },
                        {
                            "default": false,
                            "id": "#main/align_sort/nogenbank"
                        },
                        {
                            "source": "#main/top",
                            "id": "#main/align_sort/top"
                        }
                    ],
                    "out": [
                        "#main/align_sort/output"
                    ],
                    "id": "#main/align_sort"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
